Bug 476329

Summary: Review Request: cudd - CU Decision Diagram Package
Product: [Fedora] Fedora Reporter: Conrad Meyer <konrad>
Component: Package ReviewAssignee: manuel wolfshant <wolfy>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, wolfy
Target Milestone: ---Flags: wolfy: fedora‑review+
kevin: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-06 22:25:17 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 476346    

Description Conrad Meyer 2008-12-12 23:48:10 EST
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/cudd.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/cudd-2.4.1-1.fc9.src.rpm
Description:
CUDD is a package for the manipulation of Binary Decision Diagrams
(BDDs), Algebraic Decision Diagrams (ADDs) and Zero-suppressed
Binary Decision Diagrams (ZDDs).
Comment 1 Conrad Meyer 2008-12-13 00:00:32 EST
Scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=996295
Comment 2 manuel wolfshant 2009-01-04 18:58:13 EST
The package seems almost fine, but you definitely must include the LICENSE file in doc. And probably shipping cudd/doc (even as a separate cudd-docs if you do not want to add bloat to the devel package) would not be a bad idea either.
Comment 3 Conrad Meyer 2009-01-04 21:30:19 EST
Fixed; see:

http://konradm.fedorapeople.org/fedora/SPECS/cudd.spec
http://konradm.fedorapeople.org/fedora/SRPMS/cudd-2.4.1-2.fc9.src.rpm

Thanks for taking the time to look at this package.
Comment 4 manuel wolfshant 2009-01-05 03:35:07 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: BSD
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 0a0894ff5a2798a73fcacf76d451777aa02919ce  cudd-2.4.1.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [x] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [x] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.
==> see note 1

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.


=== Final Notes ===
1.Given the efforts you have made to build a devel package which ships only static libs ( respecting Fedora's guidelines for that) I am going to assume that you really know what you are doing and building shared libs is not needed / useful


================
*** APPROVED ***
================
Comment 5 Conrad Meyer 2009-01-05 15:51:06 EST
Thanks!

New Package CVS Request
=======================
Package Name: cudd
Short Description: CU Decision Diagram Package
Owners: konradm
Branches: F-10 F-9
InitialCC:
Comment 6 Kevin Fenzi 2009-01-06 20:26:11 EST
cvs done.
Comment 7 Conrad Meyer 2009-01-06 22:25:17 EST
Built in rawhide, closing.